import { ISchema } from '@tachybase/schema';
import { SchemaSettings } from '../../../../application/schema-settings/SchemaSettings';
export declare const setDefaultSortingRules: {
    name: string;
    type: string;
    useComponentProps(): {
        title: string;
        components: {
            ArrayItems: import("@tachybase/schema").ReactFC<import("react").HTMLAttributes<HTMLDivElement>> & import("@tachybase/components").ArrayBaseMixins & {
                Item: import("@tachybase/schema").ReactFC<React.HTMLAttributes<HTMLDivElement> & {
                    type?: "card" | "divide";
                }>;
            };
        };
        schema: ISchema;
        onSubmit: ({ sort }: {
            sort: any;
        }) => void;
    };
    useVisible(): boolean;
};
export declare const allowAddNewData: {
    name: string;
    type: string;
    useVisible(): boolean;
    useComponentProps(): {
        title: string;
        checked: boolean;
        onChange(value: any): void;
    };
};
export declare const isQuickAddTabs: {
    name: string;
    type: string;
    useVisible(): boolean;
    useComponentProps(): {
        title: string;
        checked: any;
        onChange(value: any): void;
    };
};
export declare const setQuickAddTabs: {
    name: string;
    type: string;
    useComponentProps(): {
        title: string;
        options: {
            label: any;
            value: any;
            name?: any;
            collectionName?: string;
            sourceKey?: string;
            uiSchema?: any;
            target?: string;
        }[];
        value: any;
        onChange(mode: any): void;
    };
    useVisible(): any;
};
export declare const setQuickAddParentTabs: {
    name: string;
    type: string;
    useComponentProps(): {
        title: string;
        options: {
            label: any;
            value: any;
            name?: any;
            collectionName?: string;
            sourceKey?: string;
            uiSchema?: any;
            target?: string;
        }[];
        value: any;
        onChange(mode: any): void;
    };
    useVisible(): boolean;
};
export declare const subTablePopoverComponentFieldSettings: SchemaSettings<{}>;
